package org.jeecg.common.api.dto.message;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Map;

/**
 * 消息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MessageDto implements Serializable {
    private static final long serialVersionUID = -5690444483968058442L;

    /**
     * 发送人(用户登录账户)
     */
    protected String fromUser;

    /**
     * 发送给(用户登录账户)
     */
    protected String toUser;

    /**
     * 发送给所有人
     */
    protected Boolean toAll;

    /**
     * 消息主题
     */
    protected String title;

    /**
     * 消息内容
     */
    protected String content;

    /**
     * 消息类型 1:消息  2:系统消息
     */
    protected String category;

    /**
     * 消息类型：org.jeecg.common.constant.enums.MessageTypeEnum
     * XT("system",  "系统消息")
     * YJ("email",  "邮件消息")
     * DD("dingtalk", "钉钉消息")
     */
    protected String type;

    /**
     * 是否发送Markdown格式的消息
     */
    protected boolean isMarkdown;

    /**
     * 解析模板内容 对应的数据
     */
    protected Map<String, Object> data;

    /**
     * 简单的markdown消息
     */
    public MessageDto(String toUser, String title, String content, boolean isMarkdown) {
        this.toAll = false;
        this.category = "1";
        this.toUser = toUser;
        this.title = title;
        this.content = content;
        this.isMarkdown = isMarkdown;
    }
}
