package org.jeecg.common.aspect.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 字典值默认填充
 * <ul>
 *     <li>只填充数据字典的值</li>
 *     <li>不填充数据库表的值</li>
 * </ul>
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface DictFillIn {

    /**
     * 字典编码
     *
     * @return 返回类型： String
     */
    String dicCode();

    /**
     * 取值字段
     *
     * @return 返回类型： String
     */
    String refField();
}
