package org.jeecg.modules.shop.captcha.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
@Accessors(chain = true)
@ApiModel("发送短信/邮件验证码")
public class SendSmsCaptchaDTO {
    
    @ApiModelProperty(value = "邮箱", required = true)
    @NotBlank(message = "邮箱不能为空")
    @Pattern(regexp = "^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\\.[a-zA-Z]{2,}$",
            message = "请输入正确的手机号或邮箱")
    private String account;
    
    @ApiModelProperty(value = "验证码类型，供应商用户[登录（partner_login）]", required = true)
    @NotBlank(message = "验证码类型不能为空")
    private String type;

    private String name;

}
