package org.jeecg.modules.shop.commission.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 合作伙伴佣金
 * @Author: jeecg-boot
 * @Date:   2025-07-15
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="partner_commission对象", description="合作伙伴佣金")
public class CommissionCountVO implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "总金额")
    private BigDecimal money;

    @ApiModelProperty(value = "已发放金额")
    private BigDecimal alreadyMoney;

    @ApiModelProperty(value = "未发放金额")
    private BigDecimal notMoney;
}
