package org.jeecg.modules.shop.commission.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 合作伙伴佣金
 * @Author: jeecg-boot
 * @Date:   2025-07-15
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="partner_commission对象", description="合作伙伴佣金")
public class PartnerCommissionVO implements Serializable {
    private static final long serialVersionUID = 1L;

	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "佣金发放时间")
    private Date giveTime;
	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**编号*/

    @ApiModelProperty(value = "编号")
    private String billNo;
	/**合作伙伴id*/

    @ApiModelProperty(value = "合作伙伴id")
    private String userId;
	/**线索Id/订单Id*/

    @ApiModelProperty(value = "线索Id/订单Id")
    private String coId;

    @ApiModelProperty(value = "线索code/订单code")
    private String coCode;
	/**佣金类型 0线索 1订单*/

    @ApiModelProperty(value = "佣金产生客户id")
    private String customerId;

    @ApiModelProperty(value = "佣金类型 0线索 1订单")
    private Integer type;
	/**0PayPal 1bank*/

    @ApiModelProperty(value = "0PayPal 1bank")
    private Integer payType;
	/**0未发放 1已发放*/

    @ApiModelProperty(value = "0未发放 1已发放")
    private Integer state;
	/**金额*/

    @ApiModelProperty(value = "金额")
    private BigDecimal money;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "0未发放 1已发放")
    private Integer showState;
}
