package org.jeecg.modules.shop.customer.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: partner_customer
 * @Author: jeecg-boot
 * @Date:   2025-07-11
 * @Version: V1.0
 */
@Data
@TableName("partner_customer")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="partner_customer对象", description="partner_customer")
public class PartnerCustomer implements Serializable {
    private static final long serialVersionUID = 1L;

	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "合作伙伴id")
    private String userId;
	/**编号*/
    @ApiModelProperty(value = "编号")
    private String billNo;
	/**姓名*/
    @ApiModelProperty(value = "姓名")
    private String name;
	/**客户类型*/
    @ApiModelProperty(value = "客户类型")
    private String type;
	/**来源渠道*/
    @ApiModelProperty(value = "来源渠道")
    private String sourceChannel;
	/**国家*/
    @ApiModelProperty(value = "国家")
    private String country;
	/**业务类型*/
    @ApiModelProperty(value = "业务类型")
    private String businessType;
	/**公司名*/
    @ApiModelProperty(value = "公司名")
    private String companyName;
	/**公司网址*/
    @ApiModelProperty(value = "公司网址")
    private String companyWebsite;
	/**公司规模*/
    @ApiModelProperty(value = "公司规模")
    private String companySize;
	/**采购预算*/
    @ApiModelProperty(value = "采购预算")
    private String budget;
	/**需求*/
    @ApiModelProperty(value = "需求")
    private String demand;
	/**备注*/
    @ApiModelProperty(value = "备注")
    private String remark;
}
