package org.jeecg.modules.shop.customer.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: partner_customer_linkman
 * @Author: jeecg-boot
 * @Date:   2025-07-11
 * @Version: V1.0
 */
@Data
@TableName("partner_customer_linkman")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="partner_customer_linkman对象", description="partner_customer_linkman")
public class PartnerCustomerLinkman implements Serializable {
    private static final long serialVersionUID = 1L;

	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**客户id*/
    @ApiModelProperty(value = "客户id")
    private String customerId;
	/**姓*/
    @ApiModelProperty(value = "姓")
    private String firstName;
	/**名*/
    @ApiModelProperty(value = "名")
    private String lastName;
	/**邮箱*/
    @ApiModelProperty(value = "邮箱")
    private String email;
	/**手机区号*/
    @ApiModelProperty(value = "手机区号")
    private String areaCode;
	/**手机号*/
    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "全名")
    private String fullName;
}
