package org.jeecg.modules.shop.customer.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.modules.shop.customer.entity.PartnerCustomerLinkman;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: partner_customer
 * @Author: jeecg-boot
 * @Date:   2025-07-11
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="", description="")
public class PartnerCustomerDTO implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    private String id;
	/**姓名*/
    @ApiModelProperty(value = "姓名")
    private String name;
	/**客户类型*/
    @ApiModelProperty(value = "客户类型")
    private String type;
	/**来源渠道*/
    @ApiModelProperty(value = "来源渠道")
    private String sourceChannel;
	/**国家*/
    @ApiModelProperty(value = "国家")
    private String country;
	/**业务类型*/
    @ApiModelProperty(value = "业务类型")
    private String businessType;
	/**公司名*/
    @ApiModelProperty(value = "公司名")
    private String companyName;
	/**公司网址*/
    @ApiModelProperty(value = "公司网址")
    private String companyWebsite;
	/**公司规模*/
    @ApiModelProperty(value = "公司规模")
    private String companySize;
	/**采购预算*/
    @ApiModelProperty(value = "采购预算")
    private String budget;
	/**需求*/
    @ApiModelProperty(value = "需求")
    private String demand;
	/**备注*/
    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "客户联系人")
    private List<PartnerCustomerLinkman> linkmanList;
}
