package org.jeecg.modules.shop.customer.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: partner_customer
 * @Author: jeecg-boot
 * @Date:   2025-07-11
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="partner_customer对象", description="partner_customer")
public class PartnerCustomerVO implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    private String id;


	/**姓名*/
    @ApiModelProperty(value = "姓名")
    private String name;
	/**客户类型*/
    @ApiModelProperty(value = "中台线索编号")
    private String clewCode;
	/**国家*/
    @ApiModelProperty(value = "国家")
    private String country;
	/**业务类型*/
    @ApiModelProperty(value = "中台线索状态")
    private String clewState;
	/**公司名*/
    @ApiModelProperty(value = "佣金")
    private BigDecimal commission;
	/**公司网址*/
    @ApiModelProperty(value = "佣金状态0未发放 1已发放")
    private String commissionState;

    /**创建时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
