package org.jeecg.modules.shop.order.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 合作伙伴订单
 * @Author: jeecg-boot
 * @Date:   2025-07-16
 * @Version: V1.0
 */
@Data
@TableName("partner_order")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="partner_order对象", description="合作伙伴订单")
public class PartnerOrder implements Serializable {
    private static final long serialVersionUID = 1L;

	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "金蝶创建时间")
    private Date jdCreateTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**编号*/
    @ApiModelProperty(value = "编号")
    private String billNo;
	/**用户id*/
    @ApiModelProperty(value = "用户id")
    private String userId;
	/**客户id*/
    @ApiModelProperty(value = "客户id")
    private String customerId;
	/**订单确认状态0未确认 1已确认*/
    @ApiModelProperty(value = "订单确认状态0未确认 1已确认")
    private Integer orderState;
	/**订单编码*/
    @ApiModelProperty(value = "订单编码")
    private String orderCode;
	/**订单金额*/
    @ApiModelProperty(value = "订单金额")
    private BigDecimal money;
	/**出运金额*/
    @ApiModelProperty(value = "出运金额")
    private BigDecimal transportationMoney;
	/**佣金CNY*/
    @ApiModelProperty(value = "佣金CNY")
    private BigDecimal commissionCny;
	/**佣金USD*/
    @ApiModelProperty(value = "佣金USD")
    private BigDecimal commissionUsd;
}
