package org.jeecg.modules.shop.order.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.shop.order.entity.PartnerOrder;
import org.jeecg.modules.shop.order.entity.query.queryList;
import org.jeecg.modules.shop.order.entity.vo.PartnerOrderVO;

/**
 * @Description: 合作伙伴订单
 * @Author: jeecg-boot
 * @Date:   2025-07-16
 * @Version: V1.0
 */
public interface PartnerOrderMapper extends BaseMapper<PartnerOrder> {

    IPage<PartnerOrderVO> queryPageList(@Param("query") queryList query, @Param("page") Page<PartnerOrderVO> page);

    Integer getOrderCountByUserAndYear(@Param("userId") String userId, @Param("year") String year);
    Integer getTakeOrderUserCountByUserAndYear(@Param("userId") String userId, @Param("year") String year);
}
