package org.jeecg.modules.shop.source.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.base.controller.JeecgController;
import org.jeecg.common.system.query.QueryGenerator;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;


import org.jeecg.modules.shop.source.entity.PartnerSource;
import org.jeecg.modules.shop.source.service.IPartnerSourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.apache.shiro.authz.annotation.RequiresPermissions;

 /**
 * @Description: 合作伙伴资源
 * @Author: jeecg-boot
 * @Date:   2025-07-16
 * @Version: V1.0
 */
@Api(tags="合作伙伴资源")
@RestController
@RequestMapping("/partner/partnerSource")
@Slf4j
public class PartnerSourceController extends JeecgController<PartnerSource, IPartnerSourceService> {
	@Autowired
	private IPartnerSourceService partnerSourceService;
	
	/**
	 * 分页列表查询
	 *
	 * @param partnerSource
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	//@AutoLog(value = "合作伙伴资源-分页列表查询")
	@ApiOperation(value="合作伙伴资源-分页列表查询", notes="合作伙伴资源-分页列表查询")
	@GetMapping(value = "/list")
	public Result<IPage<PartnerSource>> queryPageList(PartnerSource partnerSource,
								   @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
								   @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
								   HttpServletRequest req) {
		QueryWrapper<PartnerSource> queryWrapper = QueryGenerator.initQueryWrapper(partnerSource, req.getParameterMap());
		Page<PartnerSource> page = new Page<PartnerSource>(pageNo, pageSize);
		IPage<PartnerSource> pageList = partnerSourceService.page(page, queryWrapper);
		return Result.OK(pageList);
	}

}
