package org.jeecg.modules.shop.source.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 合作伙伴资源
 * @Author: jeecg-boot
 * @Date:   2025-07-16
 * @Version: V1.0
 */
@Data
@TableName("partner_source")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="partner_source对象", description="合作伙伴资源")
public class PartnerSource implements Serializable {
    private static final long serialVersionUID = 1L;

	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**编号*/
    @ApiModelProperty(value = "编号")
    private String billNo;
	/**标题*/
    @ApiModelProperty(value = "标题")
    private String head;
	/**副标题*/
    @ApiModelProperty(value = "副标题")
    private String subhead;
	/**类型0pdf 1链接*/
    @ApiModelProperty(value = "类型0pdf 1链接")
    private Integer type;
	/**资源分类code*/
    @ApiModelProperty(value = "资源分类code")
    private String categorCode;
	/**资源链接*/
    @ApiModelProperty(value = "资源链接")
    private String url;
	/**封面*/
    @ApiModelProperty(value = "封面")
    private String cover;
	/**0未启用 1启用*/
    @ApiModelProperty(value = "0未启用 1启用")
    private Integer state;
}
