package org.jeecg.modules.shop.user.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 合作伙伴佣金
 * @Author: jeecg-boot
 * @Date:   2025-07-15
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="partner_commission对象", description="合作伙伴佣金")
public class DataCountVO implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "待发放金额")
    private BigDecimal money;

    @ApiModelProperty(value = "客户数量")
    private Integer customerCount;

    @ApiModelProperty(value = "客户佣金")
    private BigDecimal customerMoney;

    @ApiModelProperty(value = "客户下单数量")
    private Integer customerOrderCount;

    @ApiModelProperty(value = "订单数量")
    private Integer orderCount;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderMoney;
}
